package com.iamberry.app.core.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年11月1日
 * @explain	短信验证码
 */
public class CodeValid implements Serializable {

	private static final long serialVersionUID = 6780699558851465634L;
	
	private Long codeId;			// 主键ID
	
	private String codePhone;		// 手机号码，包括区号
	
	private Integer codeValue;		// 验证码内容
	
	private Date codeSendDate;		// 发送时间
	
	private Date codeValidDate;		// 有效时间
	
	private Integer codeStatus;		// 状态  1:未发送；2：表示已发送；3：表示发送成功；4：发送失败
	
	private String codeMsg;			// 发送状态码对应描述
	
	private Integer codeChannel;	// 通道 1:表示主通道；2：表示备用通道
	
	private Integer codeUse;		// 验证码是否使用 1：已经使用；2：未使用
	
	private Integer codeScenario;	// 用户场景 1代表注册，2代表更换手机号，3代表忘记密码，4:表示其他场景
	
	public Integer getCodeUse() {
		return codeUse;
	}

	public void setCodeUse(Integer codeUse) {
		this.codeUse = codeUse;
	}

	public Integer getCodeScenario() {
		return codeScenario;
	}

	public void setCodeScenario(Integer codeScenario) {
		this.codeScenario = codeScenario;
	}

	public Integer getCodeChannel() {
		return codeChannel;
	}

	public void setCodeChannel(Integer codeChannel) {
		this.codeChannel = codeChannel;
	}

	public Long getCodeId() {
		return codeId;
	}

	public void setCodeId(Long codeId) {
		this.codeId = codeId;
	}

	public String getCodePhone() {
		return codePhone;
	}

	public void setCodePhone(String codePhone) {
		this.codePhone = codePhone;
	}

	public Integer getCodeValue() {
		return codeValue;
	}

	public void setCodeValue(Integer codeValue) {
		this.codeValue = codeValue;
	}

	public Date getCodeSendDate() {
		return codeSendDate;
	}

	public void setCodeSendDate(Date codeSendDate) {
		this.codeSendDate = codeSendDate;
	}

	public Date getCodeValidDate() {
		return codeValidDate;
	}

	public void setCodeValidDate(Date codeValidDate) {
		this.codeValidDate = codeValidDate;
	}

	public Integer getCodeStatus() {
		return codeStatus;
	}

	public void setCodeStatus(Integer codeStatus) {
		this.codeStatus = codeStatus;
	}

	public String getCodeMsg() {
		return codeMsg;
	}

	public void setCodeMsg(String codeMsg) {
		this.codeMsg = codeMsg;
	}
}
